(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.CONST_SERVER_READY = '@CONST_SERVER_READY';
    exports.CONST_SERVER_REGIST = '@crossPageCommunication/regist';
    exports.CONST_SERVER_REGIST_SUCCESS = '@crossPageCommunication/regist/success';
    exports.CONST_SERVER_REGIST_FAIL = '@crossPageCommunication/regist/fail';
    exports.CONST_SERVER_UNREGIST = '@crossPageCommunication/unregist';
});
