(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./client", "./server", "./service", "./consts"], factory);
    }
})(function (require, exports) {
    "use strict";
    function __export(m) {
        for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
    }
    Object.defineProperty(exports, "__esModule", { value: true });
    var client_1 = require("./client");
    exports.Client = client_1.default;
    var server_1 = require("./server");
    exports.Server = server_1.default;
    var service_1 = require("./service");
    exports.Service = service_1.default;
    __export(require("./consts"));
});
