var userId = 0;
const USER_ID_PREFIX = 'cid_' + Math.floor(Math.random()*1000) + '_' + Math.floor(Math.random()*1000) + '_';

export default class User {
    /** 用户的自增长ID */
    id: string;

    /** 用户名 */
    name: string;

    /** 用户的收信地址 */
    address: Window;

    /** 是否是管理员 */
    isAdmin?: boolean;

    constructor(address: Window, name: string) {
        if (!address) {
            throw new Error('user error: missing address');
        }
        if (!name) {
            throw new Error('user error: missing name');
        }
        this.id = USER_ID_PREFIX + (++userId);
        this.name = name;
        this.address = address;
    }
}