var userId = 0;
const USER_ID_PREFIX = 'cid_' + Math.floor(Math.random() * 1000) + '_' + Math.floor(Math.random() * 1000) + '_';
export default class User {
    constructor(address, name) {
        if (!address) {
            throw new Error('user error: missing address');
        }
        if (!name) {
            throw new Error('user error: missing name');
        }
        this.id = USER_ID_PREFIX + (++userId);
        this.name = name;
        this.address = address;
    }
}
